Loading...
Searching...
No Matches
svn_auth_cred_ssl_client_cert_pw_t Struct Reference
Authentication functions

`SVN_AUTH_CRED_SSL_CLIENT_CERT_PW` credentials. More...

`#include <svn_auth.h>`

## Data Fields

const char * | password
| Certificate password.
svn_boolean_t | may_save
| Indicates if the credentials may be saved (to disk).

## Detailed Description

`SVN_AUTH_CRED_SSL_CLIENT_CERT_PW` credentials.

Definition at line 274 of file svn_auth.h.

## Field Documentation

## may_save

svn_boolean_t svn_auth_cred_ssl_client_cert_pw_t::may_save

Indicates if the credentials may be saved (to disk).

For example, a GUI prompt implementation with a remember password checkbox shall set may_save to TRUE if the checkbox is checked.

Definition at line 282 of file svn_auth.h.

## password

const char* svn_auth_cred_ssl_client_cert_pw_t::password

Certificate password.

Definition at line 277 of file svn_auth.h.

The documentation for this struct was generated from the following file:

- svn_auth.h